
/******************************************************/
/*     Level calibration    */
//*************************************************************************	
module level_calibration (slow_clock, reset, level_nCS, level_nWR);	
input slow_clock;
input reset;
output reg level_nCS;
output reg level_nWR;
//		
	 
reg [7:0] level_band, level_buf;	
reg [7:0] count;						 


//
always @(posedge slow_clock)
begin
  if (!reset) begin level_nCS <= 1; level_nWR <= 1; end
  else
  begin
     count <= count + 1'd1;
	  case (count)
	    0: begin level_nCS <= 1; level_nWR <= 1; end
	   64: begin level_nCS <= 0; level_nWR <= 1; end
	  128: begin level_nCS <= 0; level_nWR <= 0; end
	  192: begin level_nCS <= 0; level_nWR <= 1; end
     endcase
  end
 end

endmodule						 
